#ifndef __IVFWALKVWR_H__
#define __IVFWALKVWR_H__

#include <Ivf/IvfVwr.h>

class SoWinWalkViewer ;

class CIvfWalkViewer : public CIvfVwr
{
public:
	CIvfWalkViewer() ;
	DECLARE_DYNCREATE(CIvfWalkViewer) ;
	
	~CIvfWalkViewer() ;

	virtual void 			CreateViewer(void *pVwrArgs);

	virtual void			DestroyViewer() ;
	virtual void			SceneGraphChanged() ;

	virtual BOOL			OnUpdateFrameTitle(CString &strTitle) ;
	virtual void			OnPaint() ;
	virtual void			OnInitialUpdate() ;
	virtual void			OnDeactivateView() ;
	virtual void			OnActivateView() ;
	virtual void			OnDestroy() ;
	virtual BOOL			OnCommand(WPARAM wParam, LPARAM lParam);
	virtual BOOL			PreTranslateMessage(MSG *pMsg) ;
	virtual SoWinComponent *GetVwrComponent() ;

	static void 			GetRuntimeClass(CRuntimeClass &classInfo);

protected:
	SoWinWalkViewer *m_pViewer;
} ;


#endif
